//only those spinner styles which is not otherwise possible to define from spinner component scss
/* Absolute Center Spinner */
.inline-spinner {
  display: inline-block;
  vertical-align: middle;
  margin-left: 5px;
}

.center-spinner {
  @include centerContent();
  position: absolute;
  overflow: hidden;
  margin: auto;
  top: -64px;
  left: 0;
  bottom: 0;
  right: 0;
}

.center-line-spinner {
  display: flex;
  justify-content: center;
  margin: 5px 0;
}

.spinner-dialog-round {
  mat-dialog-container {
    display: inline;
    padding: 0;
  }
}

.spinner-bordered {
  display: inline-block;
  vertical-align: middle;

  &.spinner-bordered-center-line{
    @include centerContent();
  }

  app-spinner {
    @include centerContent();
    height: 50px;
    width: 50px;
    border-radius: 50%;
    background-color: white;
    margin: 0;
  }

  .mat-spinner {
    margin: 0 !important;
  }
}
